#!/bin/sh
# *******************************************************************************
#  Licensed Materials - Property of IBM
#  (c) Copyright IBM Corporation 2012, 2013. All Rights Reserved.
#
#  Note to U.S. Government Users Restricted Rights:
#  Use, duplication or disclosure restricted by GSA ADP Schedule
#  Contract with IBM Corp.
#  *******************************************************************************

# ################################################################################
#
# File for messages displayed by the upgrade automated scripts.
#
# ################################################################################


# *********************
# * Messages function *
# *********************
messages() {

case $1 in 

# *********************************
# * Initial verification messages *
# *********************************

INVALID_LAUNCH )
echo ""
echo "ֱִ app_upgrade űҪӦóһ"
echo "    dm_upgrade"
echo "    vvc_upgrade"
echo "ʹ -help Իȡ"
;;

INVALID_START_DIR )
echo ""
echo "ʹ -help ޷ $3 ֮һĿ¼ $2 ű"
echo ""
;;


SHOW_PARAM_FILE_NAME )
echo ""
echo "ļ$2аűĲֵ"
echo "Ҫ޸κȱʡֵôԱ༭ЩļҲֵָΪűв"
echo ""
;;

SHOW_PARAM_FILE_NAMES_LIST )
echo ""
echo "һļӦóȱʡֵҪ޸κȱʡֵôԱ༭ЩļҲֵָΪűв"
echo "- DM $2/params/dm_params$3.sh"
echo "- VVC $2/params/vvc_params$3.sh"
echo ""
;;


# ************************************
# * Parameters verification messages *
# ************************************

# Intrinsic verification
# ======================

MISSING_APP_TYPE )
echo ""
echo "δָκӦó͡ҪӦóһ"
echo "    dm_upgrade"
echo "    vvc_upgrade"
echo "ʹ -help Իȡ"
echo ""
;;

INVALID_APP_TYPE )
echo ""
echo "$2 ЧӦó͡ҪӦóһ"
echo "    dm_upgrade"
echo "    vvc_upgrade"
echo "ʹ -help Իȡ"
echo ""
;;

MISSING_PARAM_VALUE )
echo ""
echo "ȱٲ $2 ֵ"
echo "ʹ -help Իȡڲ"
echo ""
;;

INVALID_PARAM_DIR )
echo ""
echo "Ϊ $2 ָĿ¼ $3 ڻЧ"
echo "ʹ -help Իȡڲ"
echo ""
;;

RELATIVE_PARAM_DIR )
echo ""
echo "Ϊ $2 ָĿ¼ $3 һ·"
echo "ʹ -help Իȡڲ"
echo ""
;;

INVALID_PARAM_FILE )
echo ""
echo "Ϊ $2 ָļ $3 ڻЧ"
echo "ʹ -help Իȡڲ"
echo ""
;;

INVALID_PARAM_VALUE )
echo ""
echo "ڲ $2$3 Чֵ"
echo "ʹ -help Իȡڲ"
echo ""
;;

INVALID_PARAM )
echo ""
echo "$2 δ֪"
echo "ʹ -help Իȡڲ"
echo ""
;;


# Extrinsic verification
# ======================

MISSING_HOME_PARAM )
echo ""
echo "ȱĿ¼ $2"
echo "ʹ -help Իȡڲ"
echo ""
;;

DIR_NOT_FOUND )
echo ""
echo "Ŀ¼ $2 ڻЧ"
echo ""
;;

CMD_NOT_FOUND_2X_APP )
echo ""
echo "ҲӦó repotools $2"
echo ""
echo "ȷ -oldApplicationHome $3ָɵķĿ¼磬JazzInstallDir/server/conf"
echo ""
;;

CMD_NOT_FOUND_OLD_APP )
echo ""
echo "ҲӦó repotools $2"
echo ""
echo "ȷ -oldApplicationHome $3ָɵķĿ¼磬JazzInstallDir/server/conf jtsContextRoot $4ȷ"
echo ""
;;

TSP_NOT_FOUND_2X_APP )
echo ""
echo "Ҳļ$2"
echo ""
echo "ȷ -oldApplicationHome $3ָɵķĿ¼磬JazzInstallDir/server/conf"
echo ""
;;

TSP_NOT_FOUND_OLD_APP )
echo ""
echo "Ҳļ$2"
echo ""
echo "ȷ -oldApplicationHome $3ָɵķĿ¼磬JazzInstallDir/server/conf jtsContextRoot $4ȷ"
echo ""
;;

CMD_NOT_FOUND_NEW_APP )
echo ""
echo "ҲӦó repotools $2"
echo ""
echo "ȷ -newApplicationHome $3ָµķĿ¼磬JazzInstallDir/server/conf jtsContextRoot $4ȷ"
echo "ڴǰаȷѡĸȷ磬ʹ Installation Managerô "Context Root Options" ѡ $5 ĸѡѡһѡôʹ $5 ĸѡ°װƷ"
echo ""
;;

TSP_NOT_FOUND_NEW_APP )
echo ""
echo "Ҳļ$2"
echo ""
echo "ȷ -newApplicationHome $3ָµ JTS Ŀ¼磬JazzInstallDir/server/conf jtsContextRoot $4ȷ"
echo "ڴǰаȷѡĸȷ磬ʹ Installation Managerô "Context Root Options" ѡ $5 ĸѡѡһѡôʹ $5 ĸѡ°װƷ"
echo ""
;;

CMD_NOT_FOUND_OLD_JTS )
echo ""
echo "Ҳ JTS repotools $2"
echo ""
echo "ȷ -oldJTSHome $3ָɵ JTS Ŀ¼磬JazzInstallDir/server/conf jtsContextRoot $4ȷ"
echo ""
;;

TSP_NOT_FOUND_OLD_JTS )
echo ""
echo "Ҳļ$2"
echo ""
echo "ȷ -oldJTSHome $3ָɵ JTS Ŀ¼磬JazzInstallDir/server/conf jtsContextRoot $4ȷ"
echo ""
;;

CMD_NOT_FOUND_NEW_JTS )
echo ""
echo "Ҳ JTS repotools $2"
echo ""
echo "ȷ -newJTSHome $3ָµ JTS Ŀ¼磬JazzInstallDir/server/conf jtsContextRoot $4ȷ"
echo ""
;;

TSP_NOT_FOUND_NEW_JTS )
echo ""
echo "Ҳļ$2"
echo ""
echo "ȷ -newJTSHome $3ָµ JTS Ŀ¼磬JazzInstallDir/server/conf jtsContextRoot $4ȷ"
echo ""
;;

MISSING_IMPORT_FROM_FILE )
echo ""
echo "Ҫ߱ 2.x ݵ tar ļܽ $2 "
echo "ʹ -help Իȡڲ"
echo ""
;;


# **********************
# * Execution messages *
# **********************

BANNER_dm )
echo ""
echo ""
echo "============================================="
echo "===    DM     ==="
echo "============================================="
echo ""
;;

BANNER_vvc )
echo ""
echo ""
echo "============================================"
echo "===    VVC     ==="
echo "============================================"
echo ""
;;


# *********************
# * First step switch *
# *********************

INITIAL_STEP_FAILED )
echo ""
echo "ϴִʱִгʼʱʧ..."
;;

LAST_STEP_FAILED )
echo ""
echo "ϴִʱִв $2 ʱʧ..."
echo "Ҫ¿ʼӴ˲ǰһ"
;;

ALREADY_RUN )
echo ""
echo "ѽѳɹ..."
echo "Ҫض¿ʼµ"
;;

LAST_STEP_PASSED )
echo ""
echo "ϴִѳɹڲ $2 ֹͣ..."
echo "Ҫ¿ʼӵǰ $3 ǰһ"
;;

ENTER_NEXT_STEP )
echo ""
echo "Ҫ¿ʼĲ [$2-$3]߰ [Enter] ȡ"
;;

INTEGER_STEP_NUMBER )
echo ""
echo "$2ǱšЧĲš"
;;

INVALID_STEP_NUMBER )
echo ""
echo "$2ЧĲšЧĲš"
;;

MAX_STEP_NUMBER )
echo ""
echo "һǲ $2ܴӲ $3 ¿ʼ"
;;

NUM_MAX_STEP_NUMBER )
echo ""
echo " $2 δУܴӲ $3 ¿ʼ"
;;


# **********************
# * Messages for Steps *
# **********************

STEP_0_IBMi )
echo " 0"
echo "-------------------"
;;

STEP_0 )
echo " 0 config ļ"
echo "---------------------------"
;;

STEP_1_ADD )
echo " 1ӱ"
echo "------------------"
;;

FULL_TEXT_INDICES_STEP )
echo " $2ؽı"
echo "----------------------------"
;;

JFS_INDICES_STEP )
echo " $2´ѯ"
echo "-----------------------------------------"
;;

STEP_2_UPGRADE_DATA_WAREHOUSE )
echo " 2ݲֿģʽ"
echo "-------------------------------------"
;;

OVERALL_MIGRATION_FAILED )
echo ""
echo " $2 ʱڲ $3 ʧܡ⣬ȻӲ $3 ʼٴд˽ű"
echo "" 
;;

OVERALL_MIGRATION_SUCCESS_DM )
echo ""
echo "$2 ѳɹҲ JTSôڿеķ"
echo ""
;;

OVERALL_MIGRATION_SUCCESS_VVC )
echo ""
echo "$2 ѳɹҲ JTS κδӦó DMôڿеķ"
echo ""
;;

# *******************************
# * Messages while running step *
# *******************************

STEP_DIR_CMD )
echo ""
echo "Ŀ¼$2"
echo ""
;;

ENTER_STEP_ACTION )
echo " [E] ִд˲裬 [S] ˲߰ [Enter] ȡִнű"
;;

INVALID_STEP_ACTION )
echo ""
echo "$2ЧĿ롰ESߡEnter"
echo ""
;;

EDIT_TEAMSERVER_PROPERTIES )
echo ""
echo "vi ༭֤ $2 teamserver.properties ļ"
echo "ȷ com.ibm.team.repository.server.webapp.url ԱʾĹ URI ȷ"
echo "ȷݿȷ"
echo "֤֮˱뱣Ȼرմ˱༭Լִд˽ű"
echo ""
;;

PAUSE )
echo ""
echo " [C] ԼִУ߰ [Enter] ȡִд˽ű"
;;

INVALID_PAUSE_ACTION )
echo ""
echo "$2ЧĿֻΪCߡEnter"
echo ""
;;

COPY_INDICES_FAILED )
echo ""
echo "δܽıӡ$2Ƶ$3"
echo "֤ teamserver.properties ļ"
echo " com.ibm.team.fulltext.indexLocation ԡ"
echo "ֶıƵĿ¼"
echo " repotools -rebuildTextIndices ¹ı"
echo ""
;;

COPY_TRS_DB_FAILED )
echo ""
echo "δܽ TRS ݿӡ$2Ƶ$3"
echo "֤ teamserver.properties ļ"
echo " com.ibm.xtools.trs.database ԡ"
echo "ֶ TRS ݿĿ¼νṹ"
echo ""
;;

# *****************************************
# * Messages for Public URIs verification *
# *****************************************

MISSING_PUBLIC_URI )
echo ""
echo ""
echo "!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!  !!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!"
echo ""
echo " $3 δκ"
echo " URI"
echo "ˣ޷ʼ"
echo ""
echo "ļбһʾĹ URI"
echo "https\://hostname.example.com\:port/$2"
echo ""
echo "!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!"
echo ""
echo "teamserver.properties ļбڹ URI  com.ibm.team.repository.server.webapp.url"
echo "ӵɰװ teamserver.properties ļֵΪпͻʷ URI "
echo " URI °װзǳҪûдԣɹ"
echo "йظϢϢйء滮 URI⡣"
echo ""
;;

COMMENTED_PUBLIC_URI )
echo ""
echo ""
echo "!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!  !!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!"
echo ""
echo "ѽ $3 ж"
echo "й URI ע͵"
echo "ˣ޷ʼ"
echo ""
echo "ļӦһʾȡע͵Ĺ URI"
echo "https/://hostname.example.com/:port/$2"
echo ""
echo "!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!"
echo ""
echo "teamserver.properties ļбڹ URI  com.ibm.team.repository.server.webapp.url"
echo "ӵɰװ teamserver.properties ļֵΪпͻʷ URI "
echo " URI °װзǳҪûдԣɹ"
echo "йظϢϢйء滮 URI⡣"
echo ""
;;

CONTEXT_ROOTS_CANNOT_BE_EQUAL )
echo ""
echo "JTS ĸΪ$2"
echo "ӦóĸΪ$3"
echo "JTS Ӧóĸͬ"
echo ""
;;

esac

}
