#!/bin/sh
# *******************************************************************************
#  Licensed Materials - Property of IBM
#  (c) Copyright IBM Corporation 2012, 2013. All Rights Reserved.
#
#  Note to U.S. Government Users Restricted Rights:
#  Use, duplication or disclosure restricted by GSA ADP Schedule
#  Contract with IBM Corp.
#  *******************************************************************************

# ################################################################################
#
# File for messages displayed by the upgrade automated scripts.
#
# ################################################################################


# *********************
# * Messages function *
# *********************
messages() {

case $1 in 

# *********************************
# * Initial verification messages *
# *********************************

INVALID_LAUNCH )
echo ""
echo "ФŪ app_upgrade ScriptCpGnɯε{AаUC䤤@ӫOG"
echo "    dm_upgrade"
echo "    vvc_upgrade"
echo "pݤWzO㻡AШϥ -helpC"
;;

INVALID_START_DIR )
echo ""
echo "Dzbϥ -help ѼơA_hLkq $3 H~t@ӥؿӰ $2 Script"
echo ""
;;


SHOW_PARAM_FILE_NAME )
echo ""
echo "'$2' ɥ]tɯ Script ѼƭȡC"
echo "pGzݭnקw]ѼƭȡAziHsoɮסA]iHbɯ Script O޼ƤwoǰѼƭȡC"
echo ""
;;

SHOW_PARAM_FILE_NAMES_LIST )
echo ""
echo "UCɮ׶]tε{ɯŪw]ѼƭȡCpGzݭnקw]ѼƭȡAziHsoɮסA]iHbɯ Script O޼ƤwoǰѼƭȡC"
echo "- DM upgrade:   $2/params/dm_params$3.sh"
echo "- VVC upgrade:  $2/params/vvc_params$3.sh"
echo ""
;;


# ************************************
# * Parameters verification messages *
# ************************************

# Intrinsic verification
# ======================

MISSING_APP_TYPE )
echo ""
echo "wε{CpGnɯε{AаUC䤤@ӫOG"
echo "    dm_upgrade"
echo "    vvc_upgrade"
echo "pݤWzO㻡AШϥ -helpC"
echo ""
;;

INVALID_APP_TYPE )
echo ""
echo "$2 OĪε{CpGnɯε{AаUC䤤@ӫOG"
echo "    dm_upgrade"
echo "    vvc_upgrade"
echo "pݤWzO㻡AШϥ -helpC"
echo ""
;;

MISSING_PARAM_VALUE )
echo ""
echo "|Ѽ $2 ȡC"
echo "pݧ㪺ѼƻAШϥ -helpC"
echo ""
;;

INVALID_PARAM_DIR )
echo ""
echo "w $2 Ѽƪ $3 ؿsbΪ̵LġC"
echo "pݧ㪺ѼƻAШϥ -helpC"
echo ""
;;

RELATIVE_PARAM_DIR )
echo ""
echo "w $2 Ѽƪ $3 ؿO|C"
echo "pݧ㪺ѼƻAШϥ -helpC"
echo ""
;;

INVALID_PARAM_FILE )
echo ""
echo "w $2 Ѽƪ $3 ɤsbΪ̵LġC"
echo "pݧ㪺ѼƻAШϥ -helpC"
echo ""
;;

INVALID_PARAM_VALUE )
echo ""
echo "$3 O $2 ѼƪLĭȡC"
echo "pݧ㪺ѼƻAШϥ -helpC"
echo ""
;;

INVALID_PARAM )
echo ""
echo "$2 ѼơC"
echo "pݧ㪺ѼƻAШϥ -helpC"
echo ""
;;


# Extrinsic verification
# ======================

MISSING_HOME_PARAM )
echo ""
echo "|_lؿѼ $2C"
echo "pݧ㪺ѼƻAШϥ -helpC"
echo ""
;;

DIR_NOT_FOUND )
echo ""
echo "$2 ؿsbΪ̵LġC"
echo ""
;;

CMD_NOT_FOUND_2X_APP )
echo ""
echo "䤣ε{ repotools O '$2'C"
echo ""
echo " -oldApplicationHome Ѽ '$3' VªAtmؿAҦpA'JazzInstallDir/server/conf'C"
echo ""
;;

CMD_NOT_FOUND_OLD_APP )
echo ""
echo "䤣ε{ repotools O '$2'C"
echo ""
echo " -oldApplicationHome Ѽ '$3' VªAtmؿ]Ҧp 'JazzInstallDir/server/conf'^AB jtsContextRoot Ѽ '$4' TC"
echo ""
;;

TSP_NOT_FOUND_2X_APP )
echo ""
echo "䤣tm '$2'C"
echo ""
echo " -oldApplicationHome Ѽ '$3' VªAtmؿAҦpA'JazzInstallDir/server/conf'C"
echo ""
;;

TSP_NOT_FOUND_OLD_APP )
echo ""
echo "䤣tm '$2'C"
echo ""
echo " -oldApplicationHome Ѽ '$3' VªAtmؿ]Ҧp 'JazzInstallDir/server/conf'^AB jtsContextRoot Ѽ '$4' TC"
echo ""
;;

CMD_NOT_FOUND_NEW_APP )
echo ""
echo "䤣ε{ repotools O '$2'C"
echo ""
echo " -newApplicationHome Ѽ '$3' Vsε{Atmؿ]Ҧp 'JazzInstallDir/server/conf'^AB jtsContextRoot Ѽ '$4' TC"
echo "pGzOqªiɯšAнTOzFTҩwqڥؿCҦpApGϥ Installation ManagerAz "Context Root Options" e $5 ҩwqڥؿﶵCpGzN~FPﶵAhzϥ $5 ҩwqڥؿﶵsw˲~C"
echo ""
;;

TSP_NOT_FOUND_NEW_APP )
echo ""
echo "䤣tm '$2'C"
echo ""
echo " -newApplicationHome Ѽ '$3' Vs JTS Atmؿ]Ҧp 'JazzInstallDir/server/conf'^AB jtsContextRoot Ѽ '$4' TC"
echo "pGzOqªiɯšAнTOzFTҩwqڥؿCҦpApGϥ Installation ManagerAz "Context Root Options" e $5 ҩwqڥؿﶵCpGzN~FPﶵAhzϥ $5 ҩwqڥؿﶵsw˲~C"
echo ""
;;

CMD_NOT_FOUND_OLD_JTS )
echo ""
echo "䤣 JTS repotools O '$2'C"
echo ""
echo " -oldJTSHome Ѽ '$3' Vª JTS Atmؿ]Ҧp 'JazzInstallDir/server/conf'^AB jtsContextRoot Ѽ '$4' TC"
echo ""
;;

TSP_NOT_FOUND_OLD_JTS )
echo ""
echo "䤣tm '$2'C"
echo ""
echo " -oldJTSHome Ѽ '$3' Vª JTS Atmؿ]Ҧp 'JazzInstallDir/server/conf'^AB jtsContextRoot Ѽ '$4' TC"
echo ""
;;

CMD_NOT_FOUND_NEW_JTS )
echo ""
echo "䤣 JTS repotools O '$2'C"
echo ""
echo " -newJTSHome Ѽ '$3' Vs JTS Atmؿ]Ҧp 'JazzInstallDir/server/conf'^AB jtsContextRoot Ѽ '$4' TC"
echo ""
;;

TSP_NOT_FOUND_NEW_JTS )
echo ""
echo "䤣tm '$2'C"
echo ""
echo " -newJTSHome Ѽ '$3' Vs JTS Atmؿ]Ҧp 'JazzInstallDir/server/conf'^AB jtsContextRoot Ѽ '$4' TC"
echo ""
;;

MISSING_IMPORT_FROM_FILE )
echo ""
echo "$2 ɯŻݭnt 2.x ƪ TAR ɡC"
echo "pݧ㪺ѼƻAШϥ -helpC"
echo ""
;;


# **********************
# * Execution messages *
# **********************

BANNER_dm )
echo ""
echo ""
echo "============================================="
echo "===    DM ɯ    ==="
echo "============================================="
echo ""
;;

BANNER_vvc )
echo ""
echo ""
echo "============================================"
echo "===    VVC ɯ    ==="
echo "============================================"
echo ""
;;


# *********************
# * First step switch *
# *********************

INITIAL_STEP_FAILED )
echo ""
echo "e楢ѩ_lBJ..."
;;

LAST_STEP_FAILED )
echo ""
echo "e楢ѩBJ $2..."
echo "zQqoӨBJΫe@ӨBJs}lɯšH"
;;

ALREADY_RUN )
echo ""
echo "wQɯ..."
echo "zQqSwBJs}lsɯŶܡH"
;;

LAST_STEP_PASSED )
echo ""
echo "ewQBJ $2..."
echo "zQq{BJ $3 Ϋe@ӨBJs}lɯŶܡH"
;;

ENTER_NEXT_STEP )
echo ""
echo "пJBJs [$2-$3]AHKqӳBs}lɯšAάOU [Enter] ӨG"
;;

INTEGER_STEP_NUMBER )
echo ""
echo "'$2' OƦrCпJĪBJsC"
;;

INVALID_STEP_NUMBER )
echo ""
echo "'$2' OLĪBJsCпJĪBJsC"
;;

MAX_STEP_NUMBER )
echo ""
echo "̫@ӨBJOBJ $2A]zLkbBJ $3 s}lɯšC"
;;

NUM_MAX_STEP_NUMBER )
echo ""
echo "BJ $2 |A]zLkbBJ $3 s}lɯšC"
;;


# **********************
# * Messages for Steps *
# **********************

STEP_0_IBMi )
echo "BJ 0G˱"
echo "-------------------"
;;

STEP_0 )
echo "BJ 0Gstm"
echo "---------------------------"
;;

STEP_1_ADD )
echo "BJ 1GsW"
echo "------------------"
;;

FULL_TEXT_INDICES_STEP )
echo "BJ $2Gؤr"
echo "----------------------------"
;;

JFS_INDICES_STEP )
echo "BJ 2 $2Gجdߨ÷jM"
echo "-----------------------------------------"
;;

STEP_2_UPGRADE_DATA_WAREHOUSE )
echo "BJ 2GɯŸƭx"
echo "-------------------------------------"
;;

OVERALL_MIGRATION_FAILED )
echo ""
echo "$2 ɯťѩBJ $3CЧ󥿰DAñqBJ $3 }ls ScriptC"
echo ""
;;

OVERALL_MIGRATION_SUCCESS_DM )
echo ""
echo "$2 ɯŦ\CpGz]wɯ JTSA{biHҰʱzpAC"
echo ""
;;

OVERALL_MIGRATION_SUCCESS_VVC )
echo ""
echo "$2 ɯŦ\CpGz٤ɯ JTS ΥۨΨtΡ]Ҧp DM^Ah{biHbpҰʦAC"
echo ""
;;

# *******************************
# * Messages while running step *
# *******************************

STEP_DIR_CMD )
echo ""
echo "ؿG$2"
echo "OG"
;;

ENTER_STEP_ACTION )
echo "J [E] oӨBJBJ [S] LAΫU [Enter]  ScriptG"
;;

INVALID_STEP_ACTION )
echo ""
echo "'$2' JLġAu 'E'B'S'  'Enter'"
echo ""
;;

EDIT_TEAMSERVER_PROPERTIES )
echo ""
echo "N} vi s边Az $2 teamserver.properties ɡC"
echo " com.ibm.team.repository.server.webapp.url eҪܪu URI ڥؿvL~C"
echo "ҸƮweL~C"
echo "ɡAxszܧ]Yܡ^AåBs边A~ ScriptC"
echo ""
;;

PAUSE )
echo ""
echo "J [C] ~AΫU [Enter]  ScriptG"
;;

INVALID_PAUSE_ACTION )
echo ""
echo "'$2' JLġAu 'C'  'Enter'"
echo ""
;;

COPY_INDICES_FAILED )
echo ""
echo "LkNrޱq '$2' ƻs '$3'C"
echo "ҩwqb teamserver.properties ɤ"
echo "com.ibm.team.fulltext.indexLocation eC"
echo "ФʱNr޽ƻsoӥؿA"
echo "ΰ repotools -rebuildTextIndices ӭؤrޡC"
echo ""
;;

COPY_TRS_DB_FAILED )
echo ""
echo "LkN TRS Ʈwq '$2' ƻs '$3'C"
echo "ҩwqb teamserver.properties ɤ"
echo "com.ibm.xtools.trs.database eC"
echo "ʽƻs TRS ƮwؿhC"
echo ""
;;

# *****************************************
# * Messages for Public URIs verification *
# *****************************************

MISSING_PUBLIC_URI )
echo ""
echo ""
echo "!!!!!!!!!!!!!!!!!!!!!!!!!!!!!! ~ !!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!"
echo ""
echo "$3 wq"
echo "u URIvA"
echo "]Lk}lɯšC"
echo ""
echo "oɮפwq@ӡu URIvApHUҥܡG"
echo "https\://hostname.example.com\:port/$2"
echo ""
echo "!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!"
echo ""
echo "u URIve com.ibm.team.repository.server.webapp.url sb teamserver.properties ɤC"
echo "Цb¦w˪ teamserver.properties ɤsWeAñNȳ]ҦΤݥΨөFA URI ڥؿC"
echo "Fswˬ[cAB@Aȥnѡu URI ڥؿvCYLoӤeAɯűN|\C"
echo "pݬTAаѾ\ InfoCenter uW URIvDDC"
echo ""
;;

COMMENTED_PUBLIC_URI )
echo ""
echo ""
echo "!!!!!!!!!!!!!!!!!!!!!!!!!!!!!! ~ !!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!"
echo ""
echo "wqb $3 Ҧ"
echo "u URIvҤwPA"
echo "]Lk}lɯšC"
echo ""
echo "oɮפөwq@ӸѰѪu URIvApHUҥܡG"
echo "https/://hostname.example.com/:port/$2"
echo ""
echo "!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!"
echo ""
echo "u URIve com.ibm.team.repository.server.webapp.url sb teamserver.properties ɤC"
echo "Цb¦w˪ teamserver.properties ɤsWeAñNȳ]ҦΤݥΨөFA URI ڥؿC"
echo "Fswˬ[cAB@Aȥnѡu URI ڥؿvCYLoӤeAɯűN|\C"
echo "pݬTAаѾ\ InfoCenter uW URIvDDC"
echo ""
;;

CONTEXT_ROOTS_CANNOT_BE_EQUAL )
echo ""
echo "JTS ҩwqڥؿ] '$2'C"
echo "ε{ҩwqڥؿ] '$3'C"
echo "JTS Mε{ҩwqڥؿۦPC"
echo ""
;;

esac

}
